Bug 1551743 (CVE-2017-7652) - CVE-2017-7652 mosquitto: configuration reload fails when no free sockets/file descriptors are available
Summary: CVE-2017-7652 mosquitto: configuration reload fails when no free sockets/file...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-7652
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1551744 1551745
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-05 21:21 UTC by Laura Pardo
Modified: 2019-09-29 14:34 UTC (History)
3 users (show)

Fixed In Version: mosquitto 1.4.15
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-05 10:16:21 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-03-05 21:21:44 UTC
A flaw was found in mosquitto affecting versions from 1.0 to 1.4.14 inclusive. If the broker has exhausted all of its free sockets/file descriptors and then a SIGHUP signal is received to trigger reloading of the configuration, then the reloading will fail. This results in many of the configuration options, including security options, being set to their default value. This means that authorization and access control may no longer be in place.


References:
https://bugzilla.redhat.com/show_bug.cgi?id=1549665
https://mosquitto.org/blog/2018/02/security-advisory-cve-2017-7651-cve-2017-7652/

Upstream Patch:
https://mosquitto.org/files/cve/2017-7652/

Comment 1 Laura Pardo 2018-03-05 21:22:11 UTC
Created mosquitto tracking bugs for this issue:

Affects: fedora-all [bug 1551744]
Affects: epel-7 [bug 1551745]


Note You need to log in before you can comment on or make changes to this bug.